/*
 * Timer.hpp
 *
 *  Created on: Jun 7, 2024
 *      Author: Carst
 */

#ifndef TIMER_HPP_
#define TIMER_HPP_

#include <cstdint>

namespace ElektronischeLast
{
  class Timer
  {
    private:
      volatile uint32_t timerValue;
      volatile bool isRunning;
    public:
      Timer();
      void start(uint32_t durationMs);
      void stop(void);
      bool elapsed(void);
      void tick(void);
  };
}



#endif /* TIMER_HPP_ */
